ghcide-2.7.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin.Test

Description

A plugin that adds custom messages for use in tests

Synopsis

- data TestRequest
  - = BlockSeconds Seconds
  - | GetInterfaceFilesDir Uri
  - | GetShakeSessionQueueCount
  - | WaitForShakeQueue
  - | WaitForIdeRule String Uri
  - | GetBuildKeysVisited
  - | GetBuildKeysBuilt
  - | GetBuildKeysChanged
  - | GetBuildEdgesCount
  - | GarbageCollectDirtyKeys CheckParents Age
  - | GetStoredKeys
  - | GetFilesOfInterest
  - | GetRebuildsCount
- newtype WaitForIdeRuleResult = WaitForIdeRuleResult {
  - ideResultSuccess :: Bool
  }
- plugin :: PluginDescriptor IdeState
- blockCommandDescriptor :: PluginId -> PluginDescriptor state
- blockCommandId :: Text

# Documentation

data TestRequest #

Constructors

BlockSeconds Seconds | :: Null
GetInterfaceFilesDir Uri | :: String
GetShakeSessionQueueCount | :: Number
WaitForShakeQueue | Block until the Shake queue is empty. Returns Null
WaitForIdeRule String Uri | :: WaitForIdeRuleResult
GetBuildKeysVisited | :: [(String]
GetBuildKeysBuilt | :: [(String]
GetBuildKeysChanged | :: [(String]
GetBuildEdgesCount | :: Int
GarbageCollectDirtyKeys CheckParents Age | :: [String] (list of keys collected)
GetStoredKeys | :: [String] (list of keys in store)
GetFilesOfInterest | :: [FilePath]
GetRebuildsCount | :: Int (number of times we recompiled with GHC)

#### Instances

Instances details

FromJSON TestRequest # |
Instance details Defined in Development.IDE.Plugin.Test Methods parseJSON :: Value -> Parser TestRequest # parseJSONList :: Value -> Parser [TestRequest] # omittedField :: Maybe TestRequest #
ToJSON TestRequest # |
Instance details Defined in Development.IDE.Plugin.Test Methods toJSON :: TestRequest -> Value # toEncoding :: TestRequest -> Encoding # toJSONList :: [TestRequest] -> Value # toEncodingList :: [TestRequest] -> Encoding # omitField :: TestRequest -> Bool #
Generic TestRequest # |

Instance details

Defined in Development.IDE.Plugin.Test

Associated Types

type Rep TestRequest |
Instance details Defined in Development.IDE.Plugin.Test type Rep TestRequest

Methods

from :: TestRequest -> Rep TestRequest x #

to :: Rep TestRequest x -> TestRequest #

type Rep TestRequest # |
Instance details Defined in Development.IDE.Plugin.Test type Rep TestRequest

newtype WaitForIdeRuleResult #

Constructors

WaitForIdeRuleResult |

Fields

- ideResultSuccess :: Bool

#### Instances

Instances details

FromJSON WaitForIdeRuleResult # |
Instance details Defined in Development.IDE.Plugin.Test Methods parseJSON :: Value -> Parser WaitForIdeRuleResult # parseJSONList :: Value -> Parser [WaitForIdeRuleResult] # omittedField :: Maybe WaitForIdeRuleResult #
ToJSON WaitForIdeRuleResult # |
Instance details Defined in Development.IDE.Plugin.Test Methods toJSON :: WaitForIdeRuleResult -> Value # toEncoding :: WaitForIdeRuleResult -> Encoding # toJSONList :: [WaitForIdeRuleResult] -> Value # toEncodingList :: [WaitForIdeRuleResult] -> Encoding # omitField :: WaitForIdeRuleResult -> Bool #

plugin :: PluginDescriptor IdeState #

blockCommandDescriptor :: PluginId -> PluginDescriptor state #

blockCommandId :: Text #

a command that blocks forever. Used for testing